Bug 967365 - OpenGL ES 2.0 for qt (on ARM)
OpenGL ES 2.0 for qt (on ARM)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-05-26 17:20 EDT by Nicolas Chauvet (kwizart)
Modified: 2016-06-01 08:18 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-01 08:18:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 707794 None None None Never

  None (edit)
Description Nicolas Chauvet (kwizart) 2013-05-26 17:20:20 EDT
Description of problem: qt doesn't seems to enable OpenGL ES 2.0 for ARM devices.


Version-Release number of selected component (if applicable):
qt-4.8.4-1.fc17 up to devel (in the qt4 branch)

How reproducible:
always

Steps to Reproduce:
1. build mythtv with mesa-libGLES-devel


Actual results:
OpenGL ES 2.0 support is disabled.

Expected results:
OpenGL ES 2.0 support could be enabled.

Additional info:
the mythtv configure script try to detect if qt was built with OpenGL ES 2.0 as a requirement of the feature.

This request is only for ARM build.
Comment 1 Rex Dieter 2013-05-30 13:54:13 EDT
Seems to make sense to support GLES2 on arm (instead of Qt's default "Desktop OpenGL").  I ping'd in #fedora-arm, but no reply yet.

Anyone else with an opinion?
Comment 2 Nicolas Chauvet (kwizart) 2013-06-08 03:48:47 EDT
I come back with this subject.
One remark was that despite the OpenGL ES 2.0 support make sense in ARM, we might have a problem with using FOSS driver implementation missing in fedora proper. That driver support might exists in downstream remix.

That been said, it still make more sense to have "OpenGL ES 2.0" than "Desktop OpenGL" where the former remark will hold in an uncompromising way. 
Understand, there will be no such support on ARM planned either proprietary or FOSS.

Also having this support disabled in qt will make the qt application performances behave worse. Even if the driver support is there. Lot of applications may be broken because when the qt support is restored, they were build with an older qt.

It would be fine to provide a test build that enable these support for armv5tel armv7hl armv6hl asap.
I will try to do this in the next days.
Comment 3 Kevin Kofler 2013-06-08 16:05:09 EDT
Well, llvmpipe does support Desktop OpenGL on ARM, and theoretically, it should also work with hardware drivers using Gallium, it's supposed to be Gallium's job to fall back to LLVM if the hardware does not support the desired operation. Then again, those same drivers also support OpenGL ES just fine, so it's not really an argument against ES. Application support might be an issue though. But then again, we had to disable OpenGL support on ARM in several KDE applications anyway because of qreal vs. double issues. (On desktop platforms, qreal=double, on ARM, qreal=float.)
Comment 4 Rex Dieter 2013-07-08 09:54:17 EDT
looks like ubuntu has similar plans, https://bugs.launchpad.net/ubuntu/+source/qt4-x11/+bug/707794
Comment 5 Fedora End Of Life 2013-09-16 10:01:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 6 Rex Dieter 2013-10-09 12:26:59 EDT
boo, just notice we hadn't implemented this yet.  anyone make progress or working on this?

If not, I can try to work on it this (or next) week...
Comment 7 Rex Dieter 2014-01-28 11:54:02 EST
marking FutureFeature, still haven't had a chance to look into this myself much.
Comment 8 Nicolas Chauvet (kwizart) 2016-06-01 08:18:25 EDT
Whereas I think it might be possible to have a use-case for OpenGL ES since we built the mesa backend in fedora, hence qt should probalby enable that too. I guess the main use-case for fedora is to rely on desktop opengl.

Closing.

Note You need to log in before you can comment on or make changes to this bug.